# Google Proximity Beacon API . namespaces

## Instance Methods

Lists all attachment namespaces owned by your Google Developers Console project. Attachment data associated with a beacon must include a namespaced type, and the namespace must be owned by your project. Authenticate using an [OAuth access token](https://developers.google.com/identity/protocols/OAuth2) from a signed-in user with **viewer**, **Is owner** or **Can edit** permissions in the Google Developers Console project.

Updates the information about the specified namespace. Only the namespace visibility can be updated.

### Method Details

`list(projectId=None, x__xgafv=None)`

    Lists all attachment namespaces owned by your Google Developers Console project. Attachment data associated with a beacon must include a namespaced type, and the namespace must be owned by your project. Authenticate using an [OAuth access token](https://developers.google.com/identity/protocols/OAuth2) from a signed-in user with **viewer**, **Is owner** or **Can edit** permissions in the Google Developers Console project.

    Args:
      projectId: string, The project id to list namespaces under. Optional.
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Response to ListNamespacesRequest that contains all the project's namespaces.
        "namespaces": [ # The attachments that corresponded to the request params.
          { # An attachment namespace defines read and write access for all the attachments created under it. Each namespace is globally unique, and owned by one project which is the only project that can create attachments under it.
            "namespaceName": "A String", # Resource name of this namespace. Namespaces names have the format: namespaces/namespace.
            "servingVisibility": "A String", # Specifies what clients may receive attachments under this namespace via `beaconinfo.getforobserved`.
          },
        ],
      }

`update(namespaceName, body, projectId=None, x__xgafv=None)`

    Updates the information about the specified namespace. Only the namespace visibility can be updated.

    Args:
      namespaceName: string, Resource name of this namespace. Namespaces names have the format: namespaces/namespace. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # An attachment namespace defines read and write access for all the attachments created under it. Each namespace is globally unique, and owned by one project which is the only project that can create attachments under it.
      "namespaceName": "A String", # Resource name of this namespace. Namespaces names have the format: namespaces/namespace.
      "servingVisibility": "A String", # Specifies what clients may receive attachments under this namespace via `beaconinfo.getforobserved`.
    }

      projectId: string, The project id of the namespace to update. If the project id is not specified then the project making the request is used. The project id must match the project that owns the beacon. Optional.
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # An attachment namespace defines read and write access for all the attachments created under it. Each namespace is globally unique, and owned by one project which is the only project that can create attachments under it.
        "namespaceName": "A String", # Resource name of this namespace. Namespaces names have the format: namespaces/namespace.
        "servingVisibility": "A String", # Specifies what clients may receive attachments under this namespace via `beaconinfo.getforobserved`.
      }